[jbpm-commits] JBoss JBPM SVN: r3552 - jbpm4/trunk/hudson/hudson-home.

do-not-reply at jboss.org do-not-reply at jboss.org
Fri Dec 26 09:00:41 EST 2008


Author: tom.baeyens at jboss.com
Date: 2008-12-26 09:00:41 -0500 (Fri, 26 Dec 2008)
New Revision: 3552

Added:
   jbpm4/trunk/hudson/hudson-home/command-db.sh
Modified:
   jbpm4/trunk/hudson/hudson-home/command.sh
Log:
changed workspace dir from jbpm to jbpm4

Added: jbpm4/trunk/hudson/hudson-home/command-db.sh
===================================================================
--- jbpm4/trunk/hudson/hudson-home/command-db.sh	                        (rev 0)
+++ jbpm4/trunk/hudson/hudson-home/command-db.sh	2008-12-26 14:00:41 UTC (rev 3552)
@@ -0,0 +1,46 @@
+#!/bin/sh
+#
+# A script that uses Maven to build the project and
+# execute its test suite against a given target container 
+#
+# $Id$
+
+WORKSPACE=`pwd`
+JBPMDIR=$WORKSPACE/jbpm4
+DISTRODIR=$JBPMDIR/modules/distribution/target
+
+ENVIRONMENT=""
+
+#
+# build the tests
+#
+cd $JBPMDIR
+cp profiles.xml.example profiles.xml
+MVN_CMD="mvn $ENVIRONMENT -DskiptTests clean install"
+echo $MVN_CMD; $MVN_CMD 2>&1; MVN_STATUS=$?
+if [ $MVN_STATUS -ne 0 ]; then
+  echo maven exit status $MVN_STATUS
+  exit 1
+fi
+
+#
+# log dependency tree
+#
+MVN_CMD="mvn -o $ENVIRONMENT dependency:tree"
+echo $MVN_CMD; $MVN_CMD | tee $WORKSPACE/dependency-tree.txt
+
+#
+# execute example tests
+#
+cd $JBPMDIR/modules/examples
+MVN_CMD="mvn -o $ENVIRONMENT -Ddatabase=$DATABASE -DtestFailureIgnore=true test"
+echo $MVN_CMD; $MVN_CMD 2>&1 | tee $WORKSPACE/tests.examples.log
+
+#
+# execute database tests
+#
+cd $JBPMDIR/modules/test-db
+MVN_CMD="mvn -o $ENVIRONMENT -Ddatabase=$DATABASE -DtestFailureIgnore=true test"
+echo $MVN_CMD; $MVN_CMD 2>&1 | tee $WORKSPACE/tests.test-db.log
+
+cat $WORKSPACE/tests.examples.log $WORKSPACE/tests.test-db.log  | egrep FIXME\|FAILED | sort -u | tee $WORKSPACE/fixme.txt


Property changes on: jbpm4/trunk/hudson/hudson-home/command-db.sh
___________________________________________________________________
Name: svn:keywords
   + Id Revision
Name: svn:eol-style
   + LF

Modified: jbpm4/trunk/hudson/hudson-home/command.sh
===================================================================
--- jbpm4/trunk/hudson/hudson-home/command.sh	2008-12-26 13:17:25 UTC (rev 3551)
+++ jbpm4/trunk/hudson/hudson-home/command.sh	2008-12-26 14:00:41 UTC (rev 3552)
@@ -6,7 +6,7 @@
 # $Id$
 
 WORKSPACE=`pwd`
-JBPMDIR=$WORKSPACE/jbpm
+JBPMDIR=$WORKSPACE/jbpm4
 DISTRODIR=$JBPMDIR/modules/distribution/target
 
 ENVIRONMENT=""




More information about the jbpm-commits mailing list